Package: reportbug
Version: 6.6.3
Severity: normal

# cat /usr/share/bug/libreoffice/control
report-with: libreoffice-core libreoffice-writer libreoffice-calc 
libreoffice-base libreoffice-draw libreoffice-impress libreoffice-math

See e.g. 819534.

I have a bug script in libreoffice-core to get some important/interesting
information in LO.

The bug was reported against libreoffice and the various Report-With:
packages (including libreoffice-core) get their information. But not the
output of the bug script...

The bug script itself works:

# /usr/share/bug/libreoffice-core/script 3>&1
javaldx: Could not find a Java Runtime Environment!
All deployed bundled extensions:

<none>
javaldx: Could not find a Java Runtime Environment!

All deployed shared extensions:

<none>
javaldx: Could not find a Java Runtime Environment!
ERROR: cannot run unopkg as root without --shared or --bundled option.

Experimental features enabled:

Installed VCLplugs:
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name           Version      Architecture Description
+++-==============-============-============-=================================
un  libreoffice-gt <none>       <none>       (no description available)
un  libreoffice-kd <none>       <none>       (no description available)
dpkg-query: no packages found matching libreoffice-gtk3

and a reportbug libreoffice-core adds that.

Given people usually report against libreoffice (metapackage!) and thus
I have report-with: for the "real" packages I'd think
it's worthwhile to make those run on report-with: packages, too. 

A workaround is to add it also to "libreoffice", but I don't like
that.

Regards,

Rene

-- Package-specific info:
** Environment settings:
EDITOR="vim"
DEBEMAIL="r...@debian.org"

-- System Information:
Debian Release: 8.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: armhf (armv7l)

Kernel: Linux 3.18.0-trunk-rpi2 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages reportbug depends on:
ii  apt               1.0.9.8.2
ii  python            2.7.9-1
ii  python-reportbug  6.6.3
pn  python:any        <none>

reportbug recommends no packages.

Versions of packages reportbug suggests:
pn  claws-mail                               <none>
pn  debconf-utils                            <none>
pn  debsums                                  <none>
pn  dlocate                                  <none>
pn  emacs23-bin-common | emacs24-bin-common  <none>
pn  file                                     <none>
ii  gnupg                                    1.4.18-7
ii  postfix [mail-transport-agent]           2.11.3-1
pn  python-gtk2                              <none>
pn  python-gtkspell                          <none>
pn  python-urwid                             <none>
pn  python-vte                               <none>
ii  xdg-utils                                1.1.0~rc1+git20111210-7.4

Versions of packages python-reportbug depends on:
ii  apt               1.0.9.8.2
ii  python-debian     0.1.27
ii  python-debianbts  1.12
pn  python:any        <none>

python-reportbug suggests no packages.

-- no debconf information

_______________________________________________
Reportbug-maint mailing list
Reportbug-maint@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reportbug-maint

Reply via email to